Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.core
Class PageAssembler

    java.lang.Object
      org.meshcms.core.PageAssembler

public final class PageAssembler
extends java.lang.Object

Rebuilds a page from its components.

Field Summary
`static java.lang.String` | `EMAIL_PARAM` The name of the properties for the mail recipient of the page.
`static java.lang.String` | `EMPTY` Generic string used to indicate an empty value.
`static java.lang.String` | `MODULES_PARAM` The name of the properties for the modules to include in the page.
`static java.util.regex.Pattern` | `NAME_VALUE_REGEX`

Constructor Summary
`PageAssembler()`

Method Summary
`void` | `addProperty(java.lang.String name, java.lang.String value)` Adds a property to the page.
`java.lang.String` | `getPage()` Returns the complete page.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY

    public static final java.lang.String EMPTY

  Generic string used to indicate an empty value.

  See Also:
    Constant Field Values

### MODULES_PARAM

    public static final java.lang.String MODULES_PARAM

  The name of the properties for the modules to include in the page.

  See Also:
    Constant Field Values

### EMAIL_PARAM

    public static final java.lang.String EMAIL_PARAM

  The name of the properties for the mail recipient of the page.

  See Also:
    Constant Field Values

### NAME_VALUE_REGEX

    public static final java.util.regex.Pattern NAME_VALUE_REGEX

Constructor Detail

### PageAssembler

    public PageAssembler()

Method Detail

### addProperty

    public void addProperty(java.lang.String name,
                            java.lang.String value)

  Adds a property to the page.

### getPage

    public java.lang.String getPage()

  Returns the complete page.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD